View Issue Details

IDProjectCategoryView StatusLast Update
0026166mantisbtperformancepublic2019-09-27 05:45
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.23.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026166: Issue view api uses many custom field database queries
Description

After the change to rest api issue view, i have detected that issue view page does not query custom field data efficiently, using a lot of database queries.

TagsNo tags attached.

Activities

cproensa

cproensa

2019-09-21 20:28

developer  

imagen.png (139,978 bytes)   
imagen.png (139,978 bytes)   
cproensa

cproensa

2019-09-22 10:17

developer   ~0062885

https://github.com/mantisbt/mantisbt/pull/1568

Related Changesets

MantisBT: master 668a9b1e

2019-09-21 20:17:21

cproensa


Committer: dregad Details Diff
Cache custom fields in mc_issue_api

Preload custom field data into cache to avoid repeated database queries.

Fixes: 0026166
Affected Issues
0026166
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2019-09-21 20:28 cproensa New Issue
2019-09-21 20:28 cproensa Status new => assigned
2019-09-21 20:28 cproensa Assigned To => cproensa
2019-09-21 20:28 cproensa File Added: imagen.png
2019-09-21 20:31 cproensa Description Updated View Revisions
2019-09-22 10:17 cproensa Note Added: 0062885
2019-09-27 05:39 dregad Changeset attached => MantisBT master 668a9b1e
2019-09-27 05:39 cproensa Status assigned => resolved
2019-09-27 05:39 cproensa Resolution open => fixed
2019-09-27 05:39 cproensa Fixed in Version => 2.23.0
2019-09-27 05:45 atrol Target Version => 2.23.0